> For the complete documentation index, see [llms.txt](https://docs.paveapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paveapi.com/integrations/developer-docs/callbacks/view-all-callbacks.md).

# GET All Callbacks

```
https://openapi.paveapi.com/v1/callbacks
```

This endpoint allows you to get all callback settings from requesting API Key.

| Headers             |        |                                                    |
| ------------------- | ------ | -------------------------------------------------- |
| **`API-Key`**       | string | The API-Key that was provided for your account     |
| **`API-Token`**     | string | The API-Token used when the session was created    |
| **`API-Timestamp`** | string | UTC Datetime string, example: 2021-05-30T12:49:19Z |

#### Sample Response (200:Ok)

```
{
    "api_key": "<your_requested_api_key>",
    "data": [
        {
            "event": "SESSION:SMS_PROCESS",
            "url": "https://your_sms_callback_url",
            "method": "POST",
            "headers": {
                "Authorization": "Bearer <jwt_token>"
            },
            "payload": {
                "phone": "<session_to_phone>", // original payload we sent to Twilio
                "status": "<success_or_error>", // delivery status from Twilio
                "message": "<error_message>", // optional; probably error message
                "source": "PAVE", // additional attributes to pass along; setting on create callback
            }
        },
        {
            "event": "SESSION:STAGE_CHANGE",
            "url": "https://your_sms_callback_url",
            "method": "POST",
            "headers": {
                "Authorization": "Bearer <jwt_token>"
            },
            "payload": {
                "session_key": "",
                "photo_url": "",
                "photo_status": "",
                "message": "<rejected_message>", // optional; probably rejected message
                "source": "PAVE", // additional attributes to pass along; setting on create callback
            }
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paveapi.com/integrations/developer-docs/callbacks/view-all-callbacks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
